> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# 秘鲁税务登记（SUNAT）验证 API

> Didit 提供秘鲁税务登记（SUNAT）权威数据库核验，基于其身份基础设施。按次计费，起价 $2.92，无需合约，无最低消费。

根据 SUNAT 核验输入数据。Didit 通过 `POST /v3/database-validation/` 提供此服务，使您能够将提交的数据与权威数据源进行比对，并获得标准化的匹配结果。输入格式：`personal_number` 接受秘鲁 DNI（恰好 8 位数字）。

## 覆盖范围

* **覆盖率：** > 90%
* **国家/地区：** 秘鲁
* **服务 ID：** `per_tax_registration`
* **数据领域：** 金融
* **类别：** TaxRegistry

## 输入

| 字段 | 必填 | 示例 |
| - | -: | - |
| `first_name` | 是 | `John` |
| `last_name` | 是 | `Doe` |
| `date_of_birth` | 是 | `1990-01-01` |
| `personal_number` | 是 | `11111111` |
| `vendor_data` | 否 | `user-1234` |

* **必填输入：** `first_name`、`last_name`、`date_of_birth`、`personal_number`
* **可选输入：** `vendor_data`
* **同意：** 无需
* **工作流可用性：** 可在工作流中使用
* **覆盖率：** > 90%
* **价格：** 每次成功查询收费 \$2.92

并非此服务接受的每份证件都包含用于查询的标识符。如果未能从证件中提取该标识符，则该检查会记录为 **不适用**：不会查询任何数据库，也不会收费。对于某些国家/地区，这类情况在真实用户中占比很大。为覆盖这些用户，还应从问卷答案、Document AI 提取字段，或您在创建会话时发送的值中收集该标识符，并将其映射到数据库核验步骤。

## 请求体参数

**issuing\_state** `string` *required* (default: PER)

该数据库服务所用的 ISO 3166-1 alpha-3 国家代码。

示例：`PER`

**services** `string` *required* (default: per\_tax\_registration)

包含此服务 ID 的数组。指定该服务可将请求限定在此特定数据库范围内。

示例：`per_tax_registration`

**first\_name** `string` *required* (default: John)

需要核验的名字。

示例：`John`

**last\_name** `string` *required* (default: Doe)

需要核验的姓氏。

示例：`Doe`

**date\_of\_birth** `string` *required* (default: 1990-01-01)

出生日期，格式为 `YYYY-MM-DD`。

示例：`1990-01-01`

**personal\_number** `string` *required* (default: 11111111)

特定国家/地区的个人身份编号。

示例：`11111111`

**vendor\_data** `string` (default: user-1234)

您为该用户设定的稳定用户标识，例如您内部的用户 ID。Didit 使用它将独立检查关联到同一终端用户，从而减少重复检测的噪声。

示例：`user-1234`

## 输入规则与校验说明

* 秘鲁 DNI（恰好 8 位数字）
* `personal_number` 只能包含数字；发送请求前，请去除空格、连字符和标点符号。
* `personal_number` 长度必须恰好为 8 个字符。

## 调用方法

```bash cURL theme={null}
curl -X POST "https://verification.didit.me/v3/database-validation/" \
  -H "x-api-key: YOUR_API_KEY" \
  -F "issuing_state=PER" \
  -F "services=per_tax_registration" \
  -F "vendor_data=user-1234" \
  -F "first_name=John" \
  -F "last_name=Doe" \
  -F "date_of_birth=1990-01-01" \
  -F "personal_number=11111111"
```

```python Python theme={null}
from didit import Didit

# Reads DIDIT_API_KEY.
client = Didit()

result = client.database_validation.validate(
    issuing_state="PER",
    services=["per_tax_registration"],
    first_name="John",
    last_name="Doe",
    date_of_birth="1990-01-01",
    personal_number="11111111",
    vendor_data="user-1234",
)
print(result)
```

```javascript Node.js theme={null}
import Didit from "@didit-protocol/sdk-node";

// Reads DIDIT_API_KEY.
const didit = new Didit();

const result = await didit.databaseValidation.validate({
  issuing_state: "PER",
  services: ["per_tax_registration"],
  first_name: "John",
  last_name: "Doe",
  date_of_birth: "1990-01-01",
  personal_number: "11111111",
  vendor_data: "user-1234",
});
console.log(result);
```

```go Go theme={null}
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()

result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
	IssuingState:   "PER",
	Services:       didit.Some([]string{"per_tax_registration"}),
	FirstName:      didit.String("John"),
	LastName:       didit.String("Doe"),
	DateOfBirth:    didit.String("1990-01-01"),
	PersonalNumber: didit.String("11111111"),
	VendorData:     didit.String("user-1234"),
})
if err != nil {
	log.Fatal(err)
}
fmt.Printf("%+v\n", result)
```

```java Java theme={null}
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;

// Reads DIDIT_API_KEY.
Didit client = new Didit();

var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
        .issuingState("PER")
        .services(List.of("per_tax_registration"))
        .firstName("John")
        .lastName("Doe")
        .dateOfBirth(LocalDate.parse("1990-01-01"))
        .personalNumber("11111111")
        .vendorData("user-1234")
        .build());
System.out.println(result);
```

```php PHP theme={null}
<?php

require 'vendor/autoload.php';

use Didit\DiditClient;

// Reads DIDIT_API_KEY.
$didit = new DiditClient();

$result = $didit->databaseValidation->validate([
    'issuing_state' => 'PER',
    'services' => ['per_tax_registration'],
    'first_name' => 'John',
    'last_name' => 'Doe',
    'date_of_birth' => '1990-01-01',
    'personal_number' => '11111111',
    'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
```

```ruby Ruby theme={null}
require "didit"

# Reads DIDIT_API_KEY.
didit = Didit::Client.new

result = didit.database_validation.validate(
  issuing_state: "PER",
  services: ["per_tax_registration"],
  first_name: "John",
  last_name: "Doe",
  date_of_birth: "1990-01-01",
  personal_number: "11111111",
  vendor_data: "user-1234"
)
puts result.to_h
```

```csharp .NET theme={null}
using System;
using System.Text.Json;
using Didit;

// Reads DIDIT_API_KEY.
using var client = new DiditClient();

var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
    IssuingState = "PER",
    Services = new string[] { "per_tax_registration" },
    FirstName = "John",
    LastName = "Doe",
    DateOfBirth = "1990-01-01",
    PersonalNumber = "11111111",
    VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
```

每次成功调用都会返回 HTTP `200`。**`outcome_code`** 字段说明实际发生的情况，例如可以区分实际的生物特征不匹配（`BIOMETRIC_NO_MATCH`）与无法读取的自拍照（`BIOMETRIC_IMAGE_UNUSABLE`）。所示的 `status` 为默认功能状态；您配置的[部分匹配/无匹配操作](https://docs.didit.me/zh/core-technology/database-validation/database-validation-warnings.md)可以覆盖它。

**`MATCH`**：登记机构已确认身份，且所有已检查的字段均匹配。

```json 200 OK — MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Approved",
  "issuing_state": "PER",
  "match_type": "full_match",
  "validations": [
    {
      "outcome_code": "MATCH",
      "service_id": "per_tax_registration",
      "service_name": "Peru Tax Registration (SUNAT)",
      "source_data": {
        "date_of_birth": "1990-01-01",
        "first_name": "John",
        "full_name": "John Doe",
        "identification_number": "SAMPLE-ID-12345",
        "last_name": "Doe",
        "name_match_score": "1.000",
        "verifications": {
          "date_of_birth": true,
          "full_name": true,
          "identification_number": true
        }
      },
      "validation": {
        "date_of_birth": "full_match",
        "full_name": "full_match",
        "identification_number": "full_match"
      }
    }
  ]
}
```

**`PARTIAL_MATCH`**：找到了身份识别号码，但一个或多个个人字段（通常是姓名或出生日期）未完全匹配。

```json 200 OK — PARTIAL_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "In Review",
  "issuing_state": "PER",
  "match_type": "partial_match",
  "validations": [
    {
      "outcome_code": "PARTIAL_MATCH",
      "service_id": "per_tax_registration",
      "service_name": "Peru Tax Registration (SUNAT)",
      "source_data": {
        "date_of_birth": "1990-01-01",
        "first_name": "John",
        "full_name": "John Doe",
        "identification_number": "SAMPLE-ID-12345",
        "last_name": "Doe",
        "name_match_score": "1.000",
        "verifications": {
          "date_of_birth": true,
          "full_name": false,
          "identification_number": true
        }
      },
      "validation": {
        "date_of_birth": "full_match",
        "full_name": "no_match",
        "identification_number": "full_match"
      }
    }
  ]
}
```

**`NO_MATCH`**：登记机构未返回与所提交数据匹配的结果。

```json 200 OK — NO_MATCH theme={null}
{
  "request_id": "req_01H…",
  "status": "Declined",
  "issuing_state": "PER",
  "match_type": "no_match",
  "validations": [
    {
      "outcome_code": "NO_MATCH",
      "service_id": "per_tax_registration",
      "service_name": "Peru Tax Registration (SUNAT)",
      "source_data": {
        "date_of_birth": "NO_MATCH",
        "full_name": "NO_MATCH",
        "identification_number": "NO_MATCH"
      },
      "validation": {
        "date_of_birth": "no_match",
        "full_name": "no_match",
        "identification_number": "no_match"
      }
    }
  ]
}
```

## 返回数据

`source_data` 中实际返回的字段取决于登记机构返回的内容。`per_tax_registration` 的生成示例目前记录了以下标准化结构：

* `date_of_birth`
* `first_name`
* `full_name`
* `identification_number`
* `last_name`
* `name_match_score`

## 定价与服务等级协议

只有当 Didit 从核验数据源收到确定性结果时，秘鲁税务登记（SUNAT）查询才会计费。

* **单次调用价格：** \$2.92 USD。
* **计费方式：** 按每次成功查询计费。若登记机构无法访问、缺少必填字段，或请求在到达数据源之前被拒绝，则不收费。
* **延迟：** 典型 p95 \< 2 s。
* **可用性：** Didit 一侧每季度 99.9%；下游数据源的可用性因国家/地区和数据集而异。

## 继续阅读

* [秘鲁数据库核验概览](https://docs.didit.me/api-reference/database-validation/peru.md)
* [数据库核验概览](https://docs.didit.me/zh/core-technology/database-validation/overview.md)
* [结果代码](https://docs.didit.me/zh/core-technology/database-validation/database-validation-outcome-codes.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.